org.apache.hc.client5.http.classic.methods

## Interface HttpUriRequest

All Superinterfaces:
  org.apache.hc.core5.http.ClassicHttpRequest, Configurable, org.apache.hc.core5.http.HttpEntityContainer, org.apache.hc.core5.http.HttpMessage, org.apache.hc.core5.http.HttpRequest, org.apache.hc.core5.http.MessageHeaders

All Known Implementing Classes:
  HttpDelete, HttpGet, HttpHead, HttpOptions, HttpPatch, HttpPost, HttpPut, HttpTrace, HttpUriRequestBase

    public interface HttpUriRequest
    extends org.apache.hc.core5.http.ClassicHttpRequest, Configurable

Extended version of the `ClassicHttpRequest` interface that provides convenience methods to access request properties such as request URI and method type.

Since:
  4.0

### Method Summary

Methods
`void` `abort()` Aborts execution of the request.
`boolean` `isAborted()` Tests if the request execution has been aborted.

### Methods inherited from interface org.apache.hc.core5.http.HttpRequest

`getAuthority, getMethod, getPath, getRequestUri, getScheme, getUri, setAuthority, setPath, setScheme, setUri`

### Methods inherited from interface org.apache.hc.core5.http.HttpMessage

`addHeader, addHeader, getVersion, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setVersion`

### Methods inherited from interface org.apache.hc.core5.http.MessageHeaders

`containsHeader, countHeaders, getFirstHeader, getHeader, getHeaders, getHeaders, getLastHeader, headerIterator, headerIterator`

### Methods inherited from interface org.apache.hc.core5.http.HttpEntityContainer

`getEntity, setEntity`

### Methods inherited from interface org.apache.hc.client5.http.config.Configurable

`getConfig`

### Method Detail

#### abort

    void abort()
               throws UnsupportedOperationException

Aborts execution of the request.

Throws:
  `UnsupportedOperationException` - if the abort operation is not supported / cannot be implemented.

#### isAborted

    boolean isAborted()

Tests if the request execution has been aborted.

Returns:
  `true` if the request execution has been aborted, `false` otherwise.